> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pads4.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv1diagnosticsevents



## OpenAPI

````yaml https://saas.pads365.com/rdx/NDS.Services.Viewer//swagger/v1/swagger.json post /api/v1/diagnostics/events
openapi: 3.0.0
info:
  title: NDS.Services.Viewer
  version: 1.0.0
servers:
  - url: https://saas.pads365.com/rdx/NDS.Services.Viewer/
security: []
paths:
  /api/v1/diagnostics/events:
    post:
      tags:
        - Diagnostics
      operationId: Diagnostics_GetEvents
      requestBody:
        x-name: request
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetEventsRequest'
        required: true
        x-position: 1
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetEventsResult'
components:
  schemas:
    GetEventsRequest:
      allOf:
        - $ref: '#/components/schemas/BaseMessage'
        - type: object
          additionalProperties: false
          properties:
            TypeFilter:
              type: array
              nullable: true
              items:
                type: string
            DataFilter:
              type: array
              nullable: true
              items:
                type: string
            From:
              type: string
              format: date-time
              nullable: true
            To:
              type: string
              format: date-time
              nullable: true
            Limit:
              type: integer
              format: int32
              nullable: true
            Offset:
              type: integer
              format: int32
              nullable: true
    GetEventsResult:
      allOf:
        - $ref: '#/components/schemas/ResultMessage'
        - type: object
          additionalProperties: false
          properties:
            Events:
              type: array
              nullable: true
              items:
                $ref: '#/components/schemas/EventInfo'
    BaseMessage:
      allOf:
        - $ref: '#/components/schemas/Message'
        - type: object
          additionalProperties: false
    ResultMessage:
      type: object
      additionalProperties: false
      properties:
        Succeeded:
          type: boolean
        Message:
          type: string
          nullable: true
        Code:
          type: string
          nullable: true
    EventInfo:
      type: object
      additionalProperties: false
      properties:
        Source:
          type: string
          nullable: true
        EventType:
          type: string
          nullable: true
        EventData:
          type: string
          nullable: true
        TimeStamp:
          type: string
          format: date-time
    Message:
      type: object
      x-abstract: true
      additionalProperties: false
      properties:
        Context:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/MessageContext'
    MessageContext:
      type: object
      additionalProperties: false
      properties:
        CorrelationId:
          type: string
          nullable: true
        UserId:
          type: string
          nullable: true
        Pads4UserId:
          type: string
          nullable: true
        Domain:
          type: string
          nullable: true
        Claims:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/UserClaim'
        SecondaryIdentities:
          type: array
          nullable: true
          items:
            type: string
        ImpersonationId:
          type: string
          nullable: true
    UserClaim:
      type: object
      additionalProperties: false
      properties:
        Type:
          type: string
          nullable: true
        Value:
          type: string
          nullable: true

````